
#include<boost/lexical_cast.hpp> 
#include<vector>
#include<list>
#include<string>
#include<sstream>

#include "tools.hh"

using namespace std;

/**
 * search val in Set and return true if it is the case
 */
bool HATP_TOOLS::operator>>(Entity const* val, set<Entity*> const& Set) {
	for(set<Entity*>::const_iterator it = Set.begin() ; it != Set.end() ; ++it)
		if(*it == val) return true;
	return false;
}

/**
 * search val in Set and return true if it is the case
 */
bool HATP_TOOLS::operator>>(LightEntity const* val, set<LightEntity*> const& Set) {
	for(set<LightEntity*>::const_iterator it = Set.begin() ; it != Set.end() ; ++it)
		if(*it == val) return true;
	return false;
}

/**
 * return true if val is not in Set
 */
bool HATP_TOOLS::operator^=(Entity const* val, set<Entity*> const& Set) {
	for(set<Entity*>::const_iterator it = Set.begin() ; it != Set.end() ; ++it)
		if(*it == val) return false;
	return true;
}

/**
 * return true if val is not in Set
 */
bool HATP_TOOLS::operator^=(LightEntity const* val, set<LightEntity*> const& Set) {
	for(set<LightEntity*>::const_iterator it = Set.begin() ; it != Set.end() ; ++it)
		if(*it == val) return false;
	return true;
}
